package com.lz.modules.flow.entity;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.context.annotation.ComponentScan;

import java.util.Date;
/**
* <p>
* </p>*考评组表
* @author quyixiao
* @since 2020-10-15
*/

@Data
@TableName("lz_evaluation_group")
@ApiModel(value = "考评组表")
public class EvaluationGroup implements java.io.Serializable {
    //
    @TableId(value = "id", type = IdType.AUTO)
    @ApiModelProperty(value = "如果不传，那么表示新建，否则更新", name = "id")
    private Long id;
    //
    @ApiModelProperty(value = "", name = "isDelete")
    private Integer isDelete;
    //
    @ApiModelProperty(value = "", name = "gmtCreate")
    private Date gmtCreate;
    //
    @ApiModelProperty(value = "", name = "gmtModified")
    private Date gmtModified;
    //
    @ApiModelProperty(value = "", name = "name")
    private String name;
    //绩效管理员ID，system_user,id，逗号隔开
    @ApiModelProperty(value = "绩效管理员ID，system_user,id，逗号隔开", name = "managerIds")
    private String managerIds;
    //参与部门id，逗号隔开
    @ApiModelProperty(value = "参与部门id，逗号隔开", name = "depIds")
    private String depIds;
    //参与考核员工staff_id，逗号隔开
    @ApiModelProperty(value = "参与考核员工staff_id，逗号隔开", name = "staffIds")
    private String staffIds;
    //排除人员ids，逗号隔开
    @ApiModelProperty(value = "排除人员ids，逗号隔开", name = "outIds")
    private String outIds;

    @ApiModelProperty(value = "本记录被拷贝的id，每次发起绩效备份一份copy_id表示被复制的那份id。发起后所有相关逻辑表使用的是拷贝后新生成的ID。绩效考核流程中，如果原考评组有人员变动，该拷贝也将变动", name = "copyId")
    private Long copyId;

    //发起任务id
    @ApiModelProperty(value = "发起任务id", name = "startId")
    private Long startId;

    @TableField(exist = false)
    @ApiModelProperty(value = "参与考核人数", name = "counts")
    private int counts;

    @TableField(exist = false)
    @ApiModelProperty(value = "是否评分 0 :未通知 1：已通知", name = "score")
    private int score;

    @TableField(exist = false)
    @ApiModelProperty(value = "是否确认变更组 0 :首次否 1：确认", name = "confirm")
    private int confirm;

    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     *  
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     *  
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     *  
     * @return
     */
    public Date getGmtCreate() {
        return gmtCreate;
    }
    /**
     *  
     * @param gmtCreate
     */
    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    /**
     *  
     * @return
     */
    public Date getGmtModified() {
        return gmtModified;
    }
    /**
     *  
     * @param gmtModified
     */
    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    /**
     *  
     * @return
     */
    public String getName() {
        return name;
    }
    /**
     *  
     * @param name
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * 绩效管理员ID，system_user,id，逗号隔开 
     * @return
     */
    public String getManagerIds() {
        return managerIds;
    }
    /**
     * 绩效管理员ID，system_user,id，逗号隔开 
     * @param managerIds
     */
    public void setManagerIds(String managerIds) {
        this.managerIds = managerIds;
    }

    /**
     * 参与部门id，逗号隔开 
     * @return
     */
    public String getDepIds() {
        return depIds;
    }
    /**
     * 参与部门id，逗号隔开 
     * @param depIds
     */
    public void setDepIds(String depIds) {
        this.depIds = depIds;
    }

    /**
     * 参与考核员工staff_id，逗号隔开 
     * @return
     */
    public String getStaffIds() {
        return staffIds;
    }
    /**
     * 参与考核员工staff_id，逗号隔开 
     * @param staffIds
     */
    public void setStaffIds(String staffIds) {
        this.staffIds = staffIds;
    }


    /**
     * 排除人员ids，逗号隔开 
     * @return
     */
    public String getOutIds() {
        return outIds;
    }
    /**
     * 排除人员ids，逗号隔开 
     * @param outIds
     */
    public void setOutIds(String outIds) {
        this.outIds = outIds;
    }


    /**
     * 发起任务id
     * @return
     */
    public Long getStartId() {
        return startId;
    }
    /**
     * 发起任务id
     * @param startId
     */
    public void setStartId(Long startId) {
        this.startId = startId;
    }


    @Override
    public String toString() {
        return "EvaluationGroup{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",gmtCreate=" + gmtCreate +
                ",gmtModified=" + gmtModified +
                ",name=" + name +
                ",managerIds=" + managerIds +
                ",depIds=" + depIds +
                ",staffIds=" + staffIds +
                ",outIds=" + outIds +
                ",copyId=" + copyId +
                ",startId=" + startId +
                "}";
    }
}